import org.junit.Test;
import org.junit.Assert;
import java.util.Arrays;

/**
 * Test class for Sorter class.
 */
public class SorterTest {

  /**
   * Test for minSort.
   */
  @Test
  public void testMinSort() {
    int[] array1 = { 17, 4, 32, 19, 8, 44, 65 };
    Sorter.minSort(array1);
    Assert.assertEquals("[4, 8, 17, 19, 32, 44, 65]", Arrays.toString(array1));

    int[] array2 = { };
    Sorter.minSort(array2);
    Assert.assertEquals("[]", Arrays.toString(array2));

    int[] array3 = { 17, 4, 32, 19, 8, 44, 1};
    Sorter.minSort(array3);
    Assert.assertEquals("[1, 4, 8, 17, 19, 32, 44]", Arrays.toString(array3));

  }
}
